# List all flows

```
GET https://gateway.lipachat.com/api/v1/whatsapp/manage/flow?per_page=10&page=1
```

**Headers**

| Name         | Value                                                                           |
| ------------ | ------------------------------------------------------------------------------- |
| Content-Type | application/json                                                                |
| apiKey       | Get apiKey from app portal settings tab <https://app.lipachat.com/app/settings> |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "data": [
    {
      "id": 1,
      "waFlowId": "1115801529546350",
      "name": "TEST_FLOW_V1",
      "status": "DRAFT",
      "categories": [
        "OTHER"
      ],
      "createdAt": "2024-03-12T06:38:08.380+00:00",
      "updatedAt": "2024-03-12T06:38:11.771+00:00"
    }
  ],
  "totalPages": 1,
  "totalItemsInPage": 1,
  "totalElements": 1
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "timestamp": "2024-09-15T20:06:38.675567555",
    "data": null,
    "status": "error",
    "message": "Content in this language already exists",
    "errors": null
}
```

{% endtab %}

{% tab title="401" %}

```json
{
    "timestamp": "2024-09-15T20:07:23.464199513",
    "data": null,
    "status": "success",
    "message": "Invalid credentials",
    "errors": null
}
```

{% endtab %}
{% endtabs %}
